public static interface PlatformHttpEndpointBuilderFactory.PlatformHttpBuilders
| Modifier and Type | Method and Description |
|---|---|
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
platformHttp(String path)
Platform HTTP (camel-platform-http)
Expose HTTP endpoints using the HTTP server available in the current
platform.
|
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
platformHttp(String componentName,
String path)
Platform HTTP (camel-platform-http)
Expose HTTP endpoints using the HTTP server available in the current
platform.
|
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder platformHttp(String path)
platform-http:path
Path parameter: path (required)
The path under which this endpoint serves the HTTP requestspath - pathdefault PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder platformHttp(String componentName, String path)
platform-http:path
Path parameter: path (required)
The path under which this endpoint serves the HTTP requestscomponentName - to use a custom component name for the endpoint
instead of the default namepath - pathApache Camel